// This file is imported in App.vue.
@import '~/bootstrap/scss/bootstrap';
// @import '~/bootstrap-vue/src/index.scss';
@import '~/typeface-work-sans/index.css';
@import '~/vue-select/dist/vue-select.css';
@import 'maz-ui/styles'; // or import 'maz-ui/css/main.css'
@import '~/quill/dist/quill.core.css';
@import '~/quill/dist/quill.snow.css';
@import 'vue-draggable-resizable/style.css';
@import '@/assets/fonts/upchieve_icon_font.css';

/* Core CSS required for Ionic components to work properly */
@import '~/@ionic/vue/css/core.css';

@import 'layout/utils';
@import 'layout/form';
@import 'layout/modal';
@import 'layout/training';

html {
  height: 100%;
}

body {
  background: $c-background-grey;
  color: $c-soft-black;

  font-family: $font-family-default;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  height: 100%;
}

#mount {
  height: 100%;
}

.disable-scroll {
  overflow: hidden;
}

// Hides the Google reCAPTCHA badge.
// However, any flow that uses reCAPTCHA must have branding visible in the user flow.
// See https://developers.google.com/recaptcha/docs/faq#id-like-to-hide-the-recaptcha-badge.-what-is-allowed
.grecaptcha-badge {
  visibility: hidden;
}
